mp3splt-gtk

- Main Page
- Related Pages
- Data Structures
- Files

- File List
- Globals

Functions
preferences_manager.c File Reference
`#include "preferences_manager.h"`
`#include "all_includes.h"`

Go to the source code of this file.

## Functions
gchar * | get_configuration_directory ()
gchar * | get_preferences_filename ()
void | load_preferences (ui_state *ui)
void | pm_free (preferences_state **pm)
void | pm_register_range_preference (gchar *main_key, gchar *second_key, gint default_value, GtkWidget *range, void(*update_adjustment_value)(GtkAdjustment *adjustment, gpointer data), gpointer user_data_for_cb, preferences_state *pm)
void | pm_register_spinner_int_preference (gchar *main_key, gchar *second_key, gint default_value, GtkWidget *spinner, void(*update_spinner_value_cb)(GtkWidget *spinner, gpointer data), gpointer user_data_for_cb, preferences_state *pm)
preferences_state * | pm_state_new ()
void | save_preferences (ui_state *ui)

## Detailed Description

Save and read preferences

This file contains the functions to save the preferences on the hard disk and to read them again at the next start of the program.

Definition in file preferences_manager.c.

## Function Documentation

gchar* get_preferences_filename | ( |  | ) |

Get the name of the preferences file.

Attention
  filename returned must be freed after that functions also checks if we have a directory .mp3splt-gtk and if not it creates it. if we have a file .mp3splt-gtk, it makes a backup and then creates the directory result must be freed!!!!

Definition at line 190 of file preferences_manager.c.

Referenced by load_preferences().

void load_preferences | ( | ui_state * | ui | ) |

Read the preferences from the preferences file.

Definition at line 211 of file preferences_manager.c.

References get_output_directory(), get_preferences_filename(), and select_split_mode().